Buf(1)

NAME
buf-breaking - Verify no breaking changes have been made

SYNOPSIS
buf breaking --against [flags]

DESCRIPTION
This command makes sure that the location has no breaking changes compared to the location.

The first argument is the source, module, or image to check for breaking changes, which must be one of format [binpb,dir,git,json,mod,protofile,tar,txtpb,yaml,zip]. This defaults to "." if no argument is specified.

OPTIONS
--against=""
    Required. The source, module, or image to check against. Must be one of format [binpb,dir,git,json,mod,protofile,tar,txtpb,yaml,zip]

--against-config=""
    The buf.yaml file or data to use to configure the against source, module, or image

--config=""
    The buf.yaml file or data to use for configuration

--disable-symlinks[=false]
    Do not follow symlinks when reading sources or configuration from the local filesystem By default, symlinks are followed in this CLI, but never followed on the Buf Schema Registry

--error-format="text"
    The format for build errors or check violations printed to stdout. Must be one of [text,json,msvs,junit,github-actions]

--exclude-imports[=false]
    Exclude imports from breaking change detection.

--exclude-path=[]
    Exclude specific files or directories, e.g. "proto/a/a.proto", "proto/a" If specified multiple times, the union is taken

-h, --help[=false]
    help for breaking

--limit-to-input-files[=false]
    Only run breaking checks against the files in the input When set, the against input contains only the files in the input Overrides --path

--path=[]
    Limit to specific files or directories, e.g. "proto/a/a.proto", "proto/a" If specified multiple times, the union is taken

OPTIONS INHERITED FROM PARENT COMMANDS
--debug[=false]
    Turn on debug logging

--log-format="color"
    The log format [text,color,json]

--timeout=2m0s
    The duration until timing out, setting it to zero means no timeout

SEE ALSO
buf(1)

HISTORY
17-Jan-2025 Auto generated by spf13/cobra